#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v)
{
    int n=v.size();
    if(v[n/2]==1){
        if(v[n/2+1]==2)return n/2+1;
        else return n/2-1;
    }else if(v[n/2]==2){
        if(v[n/2+1]==3)return n/2+1;
        else return n/2-1;
    }else{
        if(v[n/2+1]==1)return n/2+1;
        else return n/2-1;
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
